/*
 * Class DISPENSER [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_370 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_370 [] = {0xFF01,237,369,191,0xFFFF};
static const EIF_TYPE_INDEX egt_2_370 [] = {0xFF01,369,191,0xFFFF};
static const EIF_TYPE_INDEX egt_3_370 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_370 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_370 [] = {0xFF01,369,191,0xFFFF};
static const EIF_TYPE_INDEX egt_6_370 [] = {0xFF01,369,191,0xFFFF};
static const EIF_TYPE_INDEX egt_7_370 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_370 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_370 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_370 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_370 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_370 [] = {369,191,0xFFFF};
static const EIF_TYPE_INDEX egt_13_370 [] = {0xFF01,369,191,0xFFFF};
static const EIF_TYPE_INDEX egt_14_370 [] = {0xFF01,360,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_370 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_370 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_370[] = {
	{EIF_GENERIC(NULL), 2054, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_370), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_370), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_370), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_370), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_370), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_370), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_370), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_370), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_370), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_370), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_370), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_370), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_370), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_370), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2023, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1861, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1862, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1863, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1864, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_370), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_370), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1929, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1930, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1931, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_370), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2051, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2052, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1991, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2053, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init370(void)
{
	IDSC(desc_370, 0, 369);
	IDSC(desc_370 + 1, 1, 369);
	IDSC(desc_370 + 32, 77, 369);
	IDSC(desc_370 + 41, 282, 369);
	IDSC(desc_370 + 50, 243, 369);
	IDSC(desc_370 + 56, 220, 369);
	IDSC(desc_370 + 58, 229, 369);
	IDSC(desc_370 + 59, 50, 369);
	IDSC(desc_370 + 60, 35, 369);
}


#ifdef __cplusplus
}
#endif
